Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006635TestLinkAssign Test Case Executionpublic2014-10-02 07:022015-12-09 09:50
Reporterjcppkkk 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006635: Can't Check/uncheck all Test cases in Assign Test Case Execution
DescriptionCan't Check/uncheck all Test cases in Assign Test Case Execution

It seem the outer div does not wrap test suites correctly.
Steps To ReproduceCreate a root Test Suite "All test" to contains all test suites, like pic1
Goto Assign Test Case Execution, click node "All test"
The right panel shows incorrect layout, user can't check all test cases(pic2).
TagsNo tags attached.
Database (MySQL,Postgres,etc)Demo site's database
BrowserChrome
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon pic1.png [^] (17,610 bytes) 2014-10-02 07:02


png file icon pic2.png [^] (139,216 bytes) 2014-10-02 07:02


png file icon TestLink 1.9.13 [DEV] (Stormbringer).png [^] (185,490 bytes) 2014-10-04 17:26


jpg file icon TestLink 1.9.12 (GaGa and the twins) - Mozilla Firefox.jpg [^] (299,233 bytes) 2014-11-07 21:23

- Relationships
child of 0006609closedfman Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious 

-  Notes
(0021830)
fman (administrator)
2014-10-02 12:49

@aaronb
Please fo to forum.testlink.org and read carefully guidelines for communication on this project
Read also carefully README provided with testlink installation
deleting note 21829
(0021835)
fman (administrator)
2014-10-04 17:26

Will fixing this, I've made the choice of make simpler layout on right side.
Now is 'flatter' (see attached image).
Testing has not finished, releasing first implementation, any help on testing on different situations will be helped.
(0021836)
fman (administrator)
2014-10-04 17:33

https://gitorious.org/testlink-ga/testlink-code/commit/cf06bb9248fa05019c6d9abc27a81b78685626fc [^]
(0022100)
sephrasu (reporter)
2014-11-07 21:22

I tested the fix and it works well on not so big Testsuites.

I was able to assign all my Test Cases in a bulk assignment in a Test suite of 77 Test cases, but when I tried doing the same for a Test suite with 326 testcases it checked all the TCs, set the dropdown to the specified user in all the TCs, but when I clicked on Save, it only set about half of them. Leaving a sub test suite half assigned.

See attachment
(0022101)
fman (administrator)
2014-11-08 08:52

please check note on TestLink README regarding PHP.INI configuration for POST VARIABLES?
have you done this ?

attachment do not help, I need a sample DB to reproduce.
(0022113)
sephrasu (reporter)
2014-11-10 15:21

Thanks, that was the issue, my max_input_vars was too low.
(0022122)
AMC4x4 (reporter)
2014-11-12 18:39

Thank you for the updated code! Worked perfectly for us!
(0022126)
fman (administrator)
2014-11-12 20:16

@AMC4x4, if you find testLink useful support the work through donations

- Issue History
Date Modified Username Field Change
2014-10-02 07:02 jcppkkk New Issue
2014-10-02 07:02 jcppkkk File Added: pic1.png
2014-10-02 07:02 jcppkkk File Added: pic2.png
2014-10-02 12:41 aaronb Note Added: 0021829
2014-10-02 12:49 fman Note Added: 0021830
2014-10-02 12:49 fman Note Deleted: 0021829
2014-10-04 17:26 fman Note Added: 0021835
2014-10-04 17:26 fman File Added: TestLink 1.9.13 [DEV] (Stormbringer).png
2014-10-04 17:31 fman Relationship added child of 0006609
2014-10-04 17:33 fman PHP Version Demo site's php version =>
2014-10-04 17:33 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-10-04 17:33 fman Note Added: 0021836
2014-10-04 17:33 fman Status new => resolved
2014-10-04 17:33 fman Fixed in Version => 1.9.13 (2015 #1)
2014-10-04 17:33 fman Resolution open => fixed
2014-10-04 17:33 fman Assigned To => fman
2014-11-07 21:22 sephrasu Note Added: 0022100
2014-11-07 21:23 sephrasu File Added: TestLink 1.9.12 (GaGa and the twins) - Mozilla Firefox.jpg
2014-11-08 08:52 fman Note Added: 0022101
2014-11-10 15:21 sephrasu Note Added: 0022113
2014-11-12 18:39 AMC4x4 Note Added: 0022122
2014-11-12 20:16 fman Note Added: 0022126
2014-12-31 14:22 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker